<?php
///
// Isolde (Revision r168core-r128app)
//
// A third party package for CodeIgniter
//
// Copyright (c) 2013 Kenta Saito (gatedruid.com)
// License       MIT License (See ../../../isolde_license.txt)
//
?>
<?php
// Fixed Add Values
if (isset($isolde->config->fixed_add_values[$isolde->segments->actor][$isolde->segments->target][$vars->key]))
{
	$fixed_add_value = $isolde->config->fixed_add_values[$isolde->segments->actor][$isolde->segments->target][$vars->key];
	if (isset($isolde->auth->id))
	{
		$fixed_add_value = preg_replace('/{\$auth->id}/', $isolde->auth->id, $fixed_add_value);
	}
	if ($CI->input->get('uri'))
	{
		$array = explode('/', $CI->input->get('uri'));
		$n = 3;
		if ($isolde->segments->actor == 'default')
		{
			$n--;
		}
		if (isset($array[$n]))
		{
			$fixed_add_value = preg_replace('/{\$uri_id}/', $array[$n], $fixed_add_value);
		}
	}
	$label = $fixed_add_value;
	if (isset($CI->config->item('choice')[$vars->key]))
	{
		$choice = $CI->config->item('choice')[$vars->key];
		$query =
			"SELECT {$choice[2]} AS label FROM {$choice[0]} WHERE {$choice[1]} = '{$fixed_add_value}'";
		;
		$label = $CI->db->query($query)->row()->label;
	}
	$element =
		'<input'.
		' type="hidden" name="'.$vars->key.'"'.
		' value="'.$fixed_add_value.'"'.
		' />'.
		$label
	;
	echo $element;

	return;
}

// Choice
$CI =& get_instance();
if (isset($CI->config->item('choice')[$vars->key]))
{
	$choice = $CI->config->item('choice')[$vars->key];
	$query =
		"SELECT {$choice[1]} AS c_value, {$choice[2]} AS c_label FROM {$choice[0]}";
	;
	if (isset($isolde->config->sort[$choice[0]]))
	{
		$sort_columns = $isolde->config->sort[$choice[0]];
	}
	else
	{
		$sort_columns = array('id' => 'ASC');
	}
	$sort_columns_array = array();
	foreach ($sort_columns as $key => $dir)
	{
		$key = $CI->db->escape_str($key);
		$sort_columns_array[] = "{$key} {$dir}";
	}
	$query .= " ORDER BY {$choice[0]}.".implode(", {$choice[0]}.", $sort_columns_array);

	$result = $CI->db->query($query)->result();
	if ($vars->field->IS_NULLABLE == 'YES')
	{
		array_unshift($result, (object) array('c_value' => '', 'c_label' => ''));
	}
	$element = '<select name="'.$vars->key.'" class="form-control">';
	foreach ($result as $row)
	{
		$element .=
			'<option value="'.$row->c_value.'"'.($row->c_value == form_value($vars->key, $vars->value, TRUE) ? ' selected' : '').'>'.
			$row->c_label.
			'</option>'
		;
	}
	$element .= '</select>';
	echo $element;

	return;
}

$element =
	'<input'.
	' type="text" name="'.$vars->key.'"'.
	' class="form-control"'.
	' value="'.form_value($vars->key, $vars->value, TRUE).'"'.
	' size="'.min(64, isset($vars->field->CHARACTER_MAXIMUM_LENGTH) ? $vars->field->CHARACTER_MAXIMUM_LENGTH : 64).'"'.
	' />'
;

if (isset($vars->field->DATA_TYPE))
{
	// File
	if ($vars->field->DATA_TYPE == 'file')
	{
		$element = '';
		if (isset($vars->row))
		{
			$element .=
				form_value($vars->key, $vars->value, TRUE)
			;
			$field = preg_replace('/_name$/', '', $vars->key);
			$href = href("{$vars->segments->target}/file/{$vars->row->id}?field={$field}", TRUE);
			if (preg_match('/^image\//', $vars->row->{$field.'_type'}))
			{
				$element .= '<br /><img src="'.$href.'&thumb=1" class="img-thumbnail" />';
			}
			$element = '<a href="'.$href.'">'.$element.'</a>';
		}
		$element .=
			'<input'.
			' type="file" name="'.$vars->key.'"'.
			' />'
		;
	}
	// Password
	if ($vars->field->DATA_TYPE == 'password')
	{
		$element =
			'<input'.
			' type="password" name="'.$vars->key.'"'.
			' class="form-control"'.
			' value=""'.
			' size="32"'.
			' />'
		;
	}
	// Text
	elseif ($vars->field->DATA_TYPE == 'text')
	{
		$element =
			'<textarea name="'.$vars->key.'" cols="64" rows="16" class="form-control">'.
			form_value($vars->key, $vars->value, TRUE).
			'</textarea>'
		;
	}
	// Enum
	else if ($vars->field->DATA_TYPE == 'enum')
	{
		$options = preg_replace('/^enum\(\'(.*)\'\)$/', '$1', $vars->field->COLUMN_TYPE);
		$options = explode("','", $options);
		if ($vars->field->IS_NULLABLE == 'YES')
		{
			array_unshift($options, '');
		}
		$element = '<select name="'.$vars->key.'" class="form-control">';
		foreach ($options as $option)
		{
			$element .=
				'<option value="'.$option.'"'.($option == form_value($vars->key, $vars->value, TRUE) ? ' selected' : '').'>'.
				$option.
				'</option>'
			;
		}
		$element .= '</select>';
	}
	// Number
	else if ($vars->field->NUMERIC_PRECISION)
	{
		$element =
			'<input'.
			' type="text"'.
			' name="'.$vars->key.'"'.
			' class="form-control"'.
			' value="'.form_value($vars->key, $vars->value, TRUE).'"'.
			' size="'.$vars->field->NUMERIC_PRECISION.'"'.
			' style="text-align: right; font-family: monospace;"'.
			' />'
		;
	}
}

echo $element;
?>
