<?php
///
// Isolde (Revision r168core-r128app)
//
// A third party package for CodeIgniter
//
// Copyright (c) 2013 Kenta Saito (gatedruid.com)
// License       MIT License (See ../isolde_license.txt)
//
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="../../assets/ico/favicon.png">

    <title><?php lang_val('title', lang($isolde->segments->actor)); ?></title>

    <!-- Bootstrap core CSS -->
    <link href="<?php direct('bootstrap/dist/css/bootstrap.css'); ?>" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="<?php direct('bootstrap/examples/justified-nav/justified-nav.css'); ?>" rel="stylesheet">
<?php if ($isolde->segments->target == 'auth'): ?>
    <link href="<?php direct('bootstrap/examples/signin/signin.css'); ?>" rel="stylesheet">
<?php endif; ?>
    <link href="<?php direct('css/customize.css'); ?>" rel="stylesheet">

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="<?php direct('bootstrap/assets/js/html5shiv.js'); ?>"></script>
      <script src="<?php direct('bootstrap/assets/js/respond.min.js'); ?>"></script>
    <![endif]-->
  </head>

  <body>

    <div class="container">

      <div class="masthead">
        <h3 class="text-muted">
          <a href="<?php href(''); ?>"><img src="<?php direct('img/logo.png'); ?>" /></a>
          <?php lang_val($isolde->segments->actor); ?> 
<?php
if (in_array('auth', $isolde->modules) && $isolde->segments->target != 'auth')
{
	template('auth');
}
?>
<?php
if (in_array($isolde->segments->actor, $isolde->config->summary) && ($isolde->auth OR ! in_array($isolde->segments->actor, $isolde->config->authentication)))
{
	?> | <a href="<?php href('summary'); ?>"><?php lang_val('summary'); ?></a><?php
}
?>
        </h3>
<?php
if (in_array('crud', $isolde->modules))
{
	template('targets');
}
?>
<?php
if ($flash_messages !== FALSE)
{
	template('flash_messages');
}
?>
      </div>

      <!-- Example row of columns -->
      <div class="row">
        <div class="col-lg-12">
<?php
template($root_template, $vars);
?>
        </div>
      </div>

      <!-- Site footer -->
      <div class="footer">
        <p><?php lang_val('footer', date('Y')); ?></p>
      </div>

    </div> <!-- /container -->


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="<?php direct(lang('jquery')); ?>"></script>
    <script src="<?php direct('bootstrap/js/affix.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/alert.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/button.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/carousel.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/collapse.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/dropdown.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/modal.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/popover.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/scrollspy.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/tab.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/tooltip.js'); ?>"></script>
    <script src="<?php direct('bootstrap/js/transition.js'); ?>"></script>

  </body>
</html>
